package com.ruoyi.mall.domain;

import com.ruoyi.common.core.domain.entity.SysMenu;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 省市区对象 mall_region
 *
 * @author ruoyi
 * @date 2022-07-15
 */
public class MallRegion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Integer id;

    private Integer pid;

    private String shortname;

    private String name;

    private String mergerName;

    private Integer type;

    private String pinyin;

    private String phoneCode;

    private String code;

    private String first;

    private String lng;

    private String lat;

    /** 子菜单 */
    private List<MallRegion> children = new ArrayList<MallRegion>();

    public List<MallRegion> getChildren() {
        return children;
    }

    public void setChildren(List<MallRegion> children) {
        this.children = children;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setPid(Integer pid)
    {
        this.pid = pid;
    }

    public Integer getPid()
    {
        return pid;
    }
    public void setShortname(String shortname)
    {
        this.shortname = shortname;
    }

    public String getShortname()
    {
        return shortname;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setMergerName(String mergerName)
    {
        this.mergerName = mergerName;
    }

    public String getMergerName()
    {
        return mergerName;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }
    public void setPinyin(String pinyin)
    {
        this.pinyin = pinyin;
    }

    public String getPinyin()
    {
        return pinyin;
    }
    public void setPhoneCode(String phoneCode)
    {
        this.phoneCode = phoneCode;
    }

    public String getPhoneCode()
    {
        return phoneCode;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setFirst(String first)
    {
        this.first = first;
    }

    public String getFirst()
    {
        return first;
    }
    public void setLng(String lng)
    {
        this.lng = lng;
    }

    public String getLng()
    {
        return lng;
    }
    public void setLat(String lat)
    {
        this.lat = lat;
    }

    public String getLat()
    {
        return lat;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pid", getPid())
                .append("shortname", getShortname())
                .append("name", getName())
                .append("mergerName", getMergerName())
                .append("type", getType())
                .append("pinyin", getPinyin())
                .append("phoneCode", getPhoneCode())
                .append("code", getCode())
                .append("first", getFirst())
                .append("lng", getLng())
                .append("lat", getLat())
                .toString();
    }
}
